from typing import TYPE_CHECKING

from sqlalchemy import Column, String
from sqlalchemy.orm import relationship

from app.db.session import Base

if TYPE_CHECKING:
    from app.models.devices.status_timestamp import BlowyFeedbackTime, HighSpeedTime


class Device(Base):
    __tablename__ = "devices"

    id = Column(String, primary_key=True, index=True)
    blowy_feedback_time = relationship("BlowyFeedbackTime", back_populates="device")
    high_speed_time = relationship("HighSpeedTime", back_populates="device")
