# -*- coding: utf-8 -*-

from typing import Optional

from pydantic import BaseModel

from app.schemas.equipment import BaseEquipment


class EquipmentControlResponse(BaseModel):
    result: str = "success"
    projectId: str
    equipId: str
    time: str
    output: dict


class EquipmentControlRequest(BaseModel):
    equipId: str
    # method: str
    projectId: str
    equipType: str


class EquipmentInstructionsResponse(BaseModel):
    project: str
    instructions: Optional[BaseEquipment] = None
