# -*- coding: utf-8 -*-

from typing import Dict, List

from pydantic import BaseModel
from app.schemas.feedback import Feedback

from app.schemas.season import Season


class TargetReadjustResponse(BaseModel):
    result: str = "success"
    projectId: str
    roomId: str
    flag: int
    time: str


class RegulatedTargetResponse(BaseModel):
    projectId: str
    spaceId: str
    isTemporary: bool
    temperature: Dict


class TargetReadjustRequestBase(BaseModel):
    feedback: Feedback
    season: Season
    realtime_temperature: float
    targets: Dict


class TargetReadjustRequestV2(TargetReadjustRequestBase):
    pass


class TargetReadjustResponseV2(BaseModel):
    pass


class TargetReadjustRequestV3(TargetReadjustRequestBase):
    pre_changes: Dict


class TargetReadjustResponseV3(BaseModel):
    pass
