from datetime import datetime
from typing import Optional

from pydantic.main import BaseModel


class BlowyFeedbackTimeBase(BaseModel):
    timestamp: Optional[datetime] = None
    device_id: Optional[str] = None


class BlowyFeedbackTimeCreate(BlowyFeedbackTimeBase):
    timestamp: datetime
    device_id: str


class BlowyFeedbackTimeUpdate(BlowyFeedbackTimeBase):
    timestamp: datetime
    device_id: str


class BlowyFeedbackTimeInDBBase(BlowyFeedbackTimeBase):
    id: int

    class Config:
        orm_mode = True


class BlowyFeedbackTime(BlowyFeedbackTimeInDBBase):
    pass


class BlowyFeedbackTimeInDB(BlowyFeedbackTimeInDBBase):
    pass


class HighSpeedTimeBase(BaseModel):
    timestamp: Optional[datetime] = None
    device_id: Optional[str] = None


class HighSpeedTimeCreate(HighSpeedTimeBase):
    timestamp: datetime
    device_id: str


class HighSpeedTimeUpdate(HighSpeedTimeBase):
    timestamp: datetime
    device_id: str


class HighSpeedTimeInDBBase(HighSpeedTimeBase):
    id: int

    class Config:
        orm_mode = True


class HighSpeedTime(HighSpeedTimeInDBBase):
    pass


class HighSpeedTimeInDB(HighSpeedTimeInDBBase):
    pass
