from typing import Optional

from pydantic import BaseModel


class EarlyStartDTRModelPathBase(BaseModel):
    project_id: Optional[str] = None
    device_id: Optional[str] = None
    summer_model_path: Optional[str] = None
    winter_model_path: Optional[str] = None


class EarlyStartDTRModelPathCreate(EarlyStartDTRModelPathBase):
    pass


class EarlyStartDTRModelPathUpdate(EarlyStartDTRModelPathBase):
    pass


class EarlyStartDTRModelPathInDBBase(EarlyStartDTRModelPathBase):
    id: Optional[int] = None

    class Config:
        orm_mode = True


class EarlyStartDTRModelPath(EarlyStartDTRModelPathInDBBase):
    pass


class EarlyStartDTRModelPathInDB(EarlyStartDTRModelPathInDBBase):
    pass
