# -*- coding: utf-8 -*-

from typing import List, Optional

from pydantic import BaseModel


class Space(BaseModel):
    id: Optional[str]
    realtime_temperature: float
    equipment: Optional[List]
    temperature_target: Optional[float]
    comfortable_temperature: Optional[float]
    diff: Optional[float]
    vav_default_weight: Optional[float]
    vav_temporary_weight: Optional[float]
    vav_temporary_update_time: Optional[str]


class SpaceBase(BaseModel):
    realtime_temperature: float


class SpaceATFU(SpaceBase):
    realtime_co2: float
